#ifndef __ESP8266_H
#define __ESP8266_H	 

#include "sys.h"
#include "myQueue.h"




#define _ESP8266_DEBUG_		1 				//ڵԿ
/////////////////////////////////////////////////////////////////////////////////////////////
#define ESP8266_UART   		USART2
#define ESP8266_uart_init(x)   uart2_init(x)
#define ESP8266_RX_BUF		USART2_RX_BUF
#define ESP8266_RX_LEN		USART2_RX_LEN
#define ESP8266_CLEAR()   USART2_Clear()

//#define ESP8266_RST	 		PBout(5) 
#define ESP8266_POWER	 	PBout(6) 

#define ESP8266_PWOERON  	ESP8266_POWER=0
#define ESP8266_PWOEROFF	ESP8266_POWER=1
/////////////////////////////////////////////////////////////////////////////////////////////
//WIFIݽ
#define ADS129x_WIFI_REC_EN				0	//WiFiʹ
#define WIFI_REC_LENGTH				1460	//ջ
//λ
#define WIFI_SEND_LENGTH	99	//ͻ һ֡ݳ39һ֡`β 33*10 99 39*37=1444
#define WIFI_QUEUE_LENGTH	(72)	//Чݳ24*3=72   24*37 888
#define WIFI_QUEUE_SIZE	50	//дС
/////////////////////////////////////////////////////////////////////////////////////////////
//ݸʽ
typedef struct {
		u16 datalength; 
		u8 *sendbuf;				//ͻ
		u8 *recbuf;					//ջ
	
		QueueInfo *WIFI_Queue; //нṹ
}_WIFI_Info;
extern  _WIFI_Info *WIFI_Info ; //ϴݽṹ
////////////////////////////////////////////////////////////////////////////////
//DEBUG
#if _ESP8266_DEBUG_ == 1 
		#define ESP8266_DEBUG(...)    Main_printf(__VA_ARGS__)
#else
		#define ESP8266_DEBUG(...)		
#endif
////////////////////////////////////////////////////////////////////////////////


#define ESP_BAUD     (460800) //(460800) //921600	//

void ESP8266_IO_Init(void);
void ESP8266_Init(void);

u8 Wifi_Sendbuf_Init(void);

	 				    
#endif
